Subject: Re: bug#59606: flags take up so many columns

From: Dan Jacobson <[email-masked]>
Date: Mon, 28 Nov 2022 02:18:59 -0600

OK, sorry. It must be the noto fonts.
'"No Tofu" font families with large Unicode coverage'.
I suppose I will have to take it up with them.

             position: 1026 of 1267 (81%), column: 15
            character: 🇨 (displayed as 🇨) (codepoint 127464, #o370750, #x1f1e8)
              charset: unicode (Unicode (ISO10646))
code point in charset: 0x1F1E8
               script: emoji
               syntax: w 	which means: word
             category: .:Base, L:Strong L2R
             to input: type "C-x 8 RET 1f1e8" or "C-x 8 RET REGIONAL INDICATOR SYMBOL LETTER C"
          buffer code: #xF0 #x9F #x87 #xA8
            file code: #xF0 #x9F #x87 #xA8 (encoded by coding system utf-8-unix)
              display: composed to form "🇨🇦" (see below)
              display: composed to form "FFBBBBBBBBBBBBBBB" (see below)(I see a two column flag, followed by many blanks)

Composed with the following character(s) "🇦" using this font:
  ftcrhb:-GOOG-Noto Color Emoji-normal-normal-normal-*-20-*-*-*-m-0-iso10646-1
by these glyphs:
  [0 1 127464 1561 25 0 25 19 5 [0 0 136]]
with these character(s):
  🇦 (#x1f1e6) REGIONAL INDICATOR SYMBOL LETTER A

Character code properties: customize what to show
  name: REGIONAL INDICATOR SYMBOL LETTER C
  general-category: So (Symbol, Other)
  decomposition: (127464) ('🇨')